Поиск:

Ответ в темуСоздание новой темы Создание опроса
> Обновление Ruby в Ubuntu без RVM, Вопрос новичка в Ruby 
:(
    Опции темы
WinNet
Дата 4.9.2012, 20:20 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Шустрый
*


Профиль
Группа: Участник
Сообщений: 56
Регистрация: 4.3.2007
Где: г.Москва

Репутация: нет
Всего: нет



Привет всем! 
Решил изучить Ruby. Попытался установить его при помощи пакета apt-get в убунту. Все хорошо установилось. Но вот беда, после установки rubygems при вызове команды ruby -v стала отображаться старая версия руби 1.8.7 вместо той что я ставил 1.9.3. 
Копал в интернет как можно обновить руби без rvm, но так ничего и не нашел... 

Как же всетаки обновить ruby в убунте без rvm?
PM ICQ   Вверх
Rikkit
Дата 5.9.2012, 16:21 (ссылка) |    (голосов:1) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 21
Регистрация: 19.7.2011

Репутация: нет
Всего: нет



Чем же вам так не понравился rvm? Не зря же он сейчас так популярен.
Я тоже раньше парился с версией. А теперь достаточно поставить через rvm - и все, больше никаких проблем. Последняя 1.9.3.

Как альтернатива можете попробовать rbenv, но я рекомендую все же разобраться с rvm.

Это сообщение отредактировал(а) Rikkit - 5.9.2012, 16:22
PM MAIL   Вверх
WinNet
Дата 6.9.2012, 10:20 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Шустрый
*


Профиль
Группа: Участник
Сообщений: 56
Регистрация: 4.3.2007
Где: г.Москва

Репутация: нет
Всего: нет



Установить руби с помощью RVM может кто угодно. Мне же интересно как можно установить ruby,rails,gem без rvm в убунту спомощью пакетов. А затем выставить нужные версии.
PM ICQ   Вверх
Rikkit
Дата 6.9.2012, 11:45 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 21
Регистрация: 19.7.2011

Репутация: нет
Всего: нет



Цитата(WinNet @ 6.9.2012,  10:20)
Установить руби с помощью RVM может кто угодно. Мне же интересно как можно установить ruby,rails,gem без rvm в убунту спомощью пакетов. А затем выставить нужные версии.

Через обычный репозиторий можно установить.
Код

$ sudo apt-get install ruby1.9.1
$ ruby1.9.1

PM MAIL   Вверх
WinNet
Дата 6.9.2012, 11:49 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Шустрый
*


Профиль
Группа: Участник
Сообщений: 56
Регистрация: 4.3.2007
Где: г.Москва

Репутация: нет
Всего: нет



Вы вообще мой вопрос читали?
PM ICQ   Вверх
Rikkit
Дата 6.9.2012, 15:26 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 21
Регистрация: 19.7.2011

Репутация: нет
Всего: нет



Цитата(WinNet @ 6.9.2012,  11:49)
Вы вообще мой вопрос читали?

Да читал, не надо грубить тому, кто хочет вам помочь.

Вы задали вопрос - "как обновить руби".
Руби последней версии уже есть в репозитариях убунты, достаточно установить.

Может вы имеете ввиду как по команде ruby использовать именно последнюю версию, а не 1.8, то это уже другой вопрос.
Для этого можете попробовать сделать как написано здесь:
http://ubuntuforums.org/showpost.php?p=100...amp;postcount=6
PM MAIL   Вверх
WinNet
Дата 7.9.2012, 08:41 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Шустрый
*


Профиль
Группа: Участник
Сообщений: 56
Регистрация: 4.3.2007
Где: г.Москва

Репутация: нет
Всего: нет



Я вас не оскорблял. 
PM ICQ   Вверх
iEmpire
Дата 8.3.2013, 12:54 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Новичок



Профиль
Группа: Участник
Сообщений: 6
Регистрация: 21.5.2008

Репутация: нет
Всего: нет



Пакеты ubuntu довольно старые, новые версии руби выходят почти каждый месяц. Смысла ставить его из пакетов убунты 0. Если не нравится RVM, ставьте из пакетов rbenv, а уже через него версии рубей

https://github.com/sstephenson/rbenv/
PM MAIL   Вверх
Google
  Дата 10.12.2019, 05:16 (ссылка)  





  Вверх
  
Ответ в темуСоздание новой темы Создание опроса
Правила форума "Ruby: Общие вопросы"
source777
  • С чего начать? начинаем
  • Ссылки на полезные ресурсы смотрим тут
  • Обязательно следуйте правилам Vingrad.
  • Пожалуйста, прочитайте рекомендации по работе в форуме и навигации по Vingrad.
  • Для вставки кодов Ruby используйте тег: [code=ruby]код[/code]. Когда в будущем подсветка синтаксиса для Ruby будет реализована, весь исходных код преобразится.
  • Используйтe чекбокс "Транслит" (возле кнопок кодов), если у Вас нет русских шрифтов.
  • Помните, для каждого вопроса должна быть своя тема.

Если Вам понравилась атмосфера форума, заходите к нам чаще! С уважением, source777.

 
1 Пользователей читают эту тему (1 Гостей и 0 Скрытых Пользователей)
0 Пользователей:
« Предыдущая тема | Ruby: Общие вопросы | Следующая тема »


 




[ Время генерации скрипта: 0.0923 ]   [ Использовано запросов: 21 ]   [ GZIP включён ]


Реклама на сайте     Информационное спонсорство

 
По вопросам размещения рекламы пишите на vladimir(sobaka)vingrad.ru
Отказ от ответственности     Powered by Invision Power Board(R) 1.3 © 2003  IPS, Inc.